aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xwininfo/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-17 20:15:34 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-17 20:15:34 +0000
commitb1ab67635f5d706a1c45d673e37b90de2b77aa8b (patch)
tree97c3de1bb04f481d6b98b86617689504634d6db7 /testing/xwininfo/APKBUILD
parent60937c3d088fb999e9a95999e0420af7229ecef3 (diff)
downloadaports-b1ab67635f5d706a1c45d673e37b90de2b77aa8b.tar.gz
aports-b1ab67635f5d706a1c45d673e37b90de2b77aa8b.tar.bz2
aports-b1ab67635f5d706a1c45d673e37b90de2b77aa8b.tar.xz
testing/xwininfo: new aport
Window information utility for X http://cgit.freedesktop.org/xorg/app/xwininfo/
Diffstat (limited to 'testing/xwininfo/APKBUILD')
-rw-r--r--testing/xwininfo/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/testing/xwininfo/APKBUILD b/testing/xwininfo/APKBUILD
new file mode 100644
index 0000000000..4755ff9cd7
--- /dev/null
+++ b/testing/xwininfo/APKBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xwininfo
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="Window information utility for X"
+url="http://cgit.freedesktop.org/xorg/app/xwininfo/"
+license="GPL"
+depends=
+makedepends="libx11-dev libxext-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://xorg.freedesktop.org/releases/individual/app/xwininfo-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="908f8bc3255f639effa9780fb1c19ea4 xwininfo-1.0.5.tar.bz2"